### Method

# Fwupd Device add_vendor_id

since: 1.5.5

#### Declaration [src]

    void
    fwupd_device_add_vendor_id (
      FwupdDevice* self,
      const gchar* vendor_id
    )

#### Description [src]

Adds a device vendor ID.

Available since: 1.5.5

#### Parameters

`vendor_id`

  Type: `const gchar*`

  The ID, e.g. ‘USB:0x1234’.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.